# KYC

#### Add KYC

Add KYC information obtained from a KYC provider.

```solidity
function addKYC(uint256 tokenId, address KYCProvider, uint256 KYCId, bool status, uint256 updateTime, uint256 expireTime, bytes memory evidence);
```

* tokenId: DID token id
* KYCProvider: KYC provider address
* KYCId: KYC level
* status: is KYCed or not
* updateTime: update time
* expireTime: expire time
* evidence: signature provided by KYCProvider

#### Get KYC Information

Retrieve the KYC information for a specific DID.

```solidity
function getKYCInfo(uint256 tokenId, address KYCProvider, uint256 KYCId);
```

* tokenId: DID token id
* KYCProvider: KYC provider address(you can find the [provider list](/protocol/kyc.md#kyc-providers))
* KYCId: KYC level


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hashkey.id/protocol/contract-api-reference/kyc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
